Package org.firebirdsql.jna.embedded.classpath

## Class ClasspathFirebirdEmbeddedLibrary

- java.lang.Object
- - org.firebirdsql.jna.embedded.classpath.ClasspathFirebirdEmbeddedLibrary

- All Implemented Interfaces:
    `DisposableFirebirdEmbeddedLibrary`, `FirebirdEmbeddedLibrary`

      public final class ClasspathFirebirdEmbeddedLibrary
      extends java.lang.Object
      implements DisposableFirebirdEmbeddedLibrary

  An implementation of `FirebirdEmbeddedLibrary` that provides Firebird Embedded from a classpath resource.
  Since:
    5
  Author:
    Mark Rotteveel

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `dispose()` | Will be called by the native resource tracker (if enabled) on exit of the JVM.
    `java.nio.file.Path` | `getEntryPointPath()` |
    `java.lang.String` | `getVersion()` | Version of the Firebird Embedded library.
    `static ClasspathFirebirdEmbeddedLibrary` | `load​(FirebirdEmbeddedProvider firebirdEmbeddedProvider, ClasspathFirebirdEmbeddedResource classpathFirebirdEmbeddedResource)` | Loads a Firebird Embedded library from the classpath and installs it into a temporary file location.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### load

          public static ClasspathFirebirdEmbeddedLibrary load​(FirebirdEmbeddedProvider firebirdEmbeddedProvider,
                                                              ClasspathFirebirdEmbeddedResource classpathFirebirdEmbeddedResource)
                                                       throws FirebirdEmbeddedLoadingException

      Loads a Firebird Embedded library from the classpath and installs it into a temporary file location.
      Parameters:
        `firebirdEmbeddedProvider` - Firebird Embedded provider
        `classpathFirebirdEmbeddedResource` - Information to identify the classpath resources to install
      Returns:
        Classpath Firebird Embedded library
      Throws:
        `FirebirdEmbeddedLoadingException` - For errors loading the embedded library to a temporary folder

    - #### getEntryPointPath

          public java.nio.file.Path getEntryPointPath()

      Specified by:
        `getEntryPointPath` in interface `FirebirdEmbeddedLibrary`
      Returns:
        Path of the Firebird Embedded main library file

    - #### getVersion

          public java.lang.String getVersion()

      Description copied from interface: `FirebirdEmbeddedLibrary`
      Version of the Firebird Embedded library.
      Specified by:
        `getVersion` in interface `FirebirdEmbeddedLibrary`
      Returns:
        Version of the Firebird Embedded library
      See Also:
        `FirebirdEmbeddedLibrary.getVersion()`

    - #### dispose

          public void dispose()

      Description copied from interface: `DisposableFirebirdEmbeddedLibrary`
      Will be called by the native resource tracker (if enabled) on exit of the JVM.

      Implementations that need to delete files from the file system should take into account the possibility that files cannot be deleted on exit, and should try to apply a strategy to cleanup old files on the next run.

      Specified by:
        `dispose` in interface `DisposableFirebirdEmbeddedLibrary`